LIBRARIAN=ilibr
OCCAM=oc
LINK=ilink
CONFIG=icconf
OCONFIG=occonf
COLLECT=icollect
CC=icc
FORTRAN=if77
DELETE=rm
LIBOPT=
OCCOPT=
LINKOPT=
CONFOPT=
#-ga 
OCONFOPT=
COLLECTOPT=
COPT=
F77OPT=


##### IMAKEF CUT #####

mandel.btl : mandel.cfb 
	$(COLLECT) mandel.cfb -o mandel.btl $(COLLECTOPT)

mandel.cfb : mandel.cfs mandel.c9x mandelrd.c9x 
	$(CONFIG) mandel.cfs -o mandel.cfb $(CONFOPT)

mandel.c9x : mandel.lnk mandel.t9x 
	$(LINK) -f mandel.lnk -t9 -x -o mandel.c9x $(LINKOPT)

mandel.t9x : mandel.c 
	$(CC) mandel.c -g -t9 -o mandel.t9x $(COPT)

mandelrd.c9x : mandelrd.lnk mandel.t9x 
	$(LINK) -f mandelrd.lnk -t9 -x -o mandelrd.c9x $(LINKOPT)

clean  : delete
delete :
	-$(DELETE) mandel.cfb
	-$(DELETE) mandel.c9x
	-$(DELETE) mandel.t9x
	-$(DELETE) mandelrd.c9x

