/**********************************************************************\
*                                                                      *
*                  Copyright (c) Exeter University,		       *
*                  Department of Computer Science,                     *
*                 (aba@uk.ac.ex.dcs) Adam Back, 1994                   *
*                                                                      *
*  GNU GPL (General Public License) Applies.                           *
*                                                                      *
\**********************************************************************/
#ifndef _amalloc_h
#define _amalloc_h

extern void *arena_start, *arena_end;

void t_malloc_init( void*, unsigned int );
void *t_malloc( unsigned int );
void *t_amalloc( unsigned int, unsigned int );
void t_free( void* );
/* int t_in_malloc_arena( void* ); */

#define t_in_malloc_arena( ptr ) \
((char*)(ptr) >= (char*)arena_start && (char*)(ptr) <= (char*)arena_end)

#define t_size( ptr ) \
( *((unsigned int*)ptr -1) )

int t_arena_size(void);

#if defined(DEBUG)
void report(void);
#endif

#endif
