/**********************************************************************\
*                                                                      *
*                  Copyright (c) Exeter University,		       *
*                  Department of Computer Science,                     *
*                 (aba@uk.ac.ex.dcs) Adam Back, 1994                   *
*                                                                      *
*  GNU GPL (General Public License) Applies.                           *
*                                                                      *
\**********************************************************************/
#ifndef _t_comms_h
#define _t_comms_h

/**********************************************************************\
*                                                                      *
* there are two virtual channels between each pair of processors in    *
* the p4 configuration, one for small messages and one for large       *
* messages.  The constant P4_SMALL_MSG_SIZE specifies the message size *
* which is considered small for this purpose.                          *
*                                                                      *
\**********************************************************************/

void t_comms_init();

void chan_send( /* struct p4_msg* */ );

struct p4_msg *chan_recv( int,int,char* );

int chan_avail( void );
#endif

