DELETE = rm -f
SHELL = csh
MAKE = make
COPT = -o2 -qt -wd -wn
CPP = /usr/lib/cpp
CPPOPT = -P

IMAKEF = imakef
IMKOPT = -ni -c -r |& awk '! /does not exist for/ {print}'

all: p4.lib p4rd.lib

p4.lbb: p4.build
	$(CPP) $(CPPOPT) p4.build > p4.lbb

p4rd.lbb: p4rd.build
	$(CPP) $(CPPOPT) p4rd.build > p4rd.lbb

p4.lib: p4.mak FORCE
	$(MAKE) -f p4.mak

p4rd.lib: p4rd.mak FORCE
	$(MAKE) -f p4rd.mak

FORCE:

p4.mak: p4.lbb
	cp make.build p4.mak
	$(IMAKEF) p4.lib $(IMKOPT)

p4rd.mak: p4rd.lbb
	cp make.build p4rd.mak
	$(IMAKEF) p4rd.lib $(IMKOPT)

clean:	p4.mak p4rd.mak FORCE
	$(MAKE) -f p4.mak clean
	$(MAKE) -f p4rd.mak clean
